This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 746378

Summary: anaconda ceases understand disk partitioning (GPT?)
Product: [Fedora] Fedora Reporter: Frantisek Hanzlik <franta>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: anaconda-maint-list, jonathan, the.ridikulus.rat, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 03:34:35 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Frantisek Hanzlik 2011-10-15 00:23:47 EDT
Description of problem:
I was trying install F16 on formerly prepartioned disc (SATA 750GB, GPT partition) with partitions:
sda1: 500 MB
sda2: 5 GB
sda3: 32 GB
sda4: 32 GB
sda5: 32 GB
sda6: 32 GB
sda7: 32 GB
sda8: 32 GB
sda9: 32 GB
sda10: rest (cca 500 GB)

sda2 was type fd00 (swap), other was type 0700 (Lin/win data), none ot then was formatted.

Anaconda display all partitions (although one (fourth?) is at graphical schema pointlessly displayed with green color), and allowed me edit them. I set them as:
sda1: (500 MB) format as ext4, mount to /boot
sda2: (5 GB )  format as swap
sda3: (32 GB) format as ext4, mount to /mnt/f14
sda4: (32 GB) format as ext4, mount to /
sda5: (32 GB) format as ext4, mount to /mnt/f17
sda6: (32 GB) untouched
sda7: (32 GB) untouched
sda8: (32 GB) untouched
sda9: (32 GB) untouched
sda10: (rest) format as ext4, mount to /home

in this stage, when I click "Next" button, error window displays saying:

Partitioning errors: The partitioning scheme you requested caused the following critical errors:
"You have not created a bootloader stage1 target device"

and isn't possible continue in installation process.

Version-Release number of selected component (if applicable):
anaconda 16.21 from 14-Oct-2011


Additional info:

This bug is probably introduced in Fedora 16, as this operation was without problems in Fedora 12 (maybe earlier too), Fedora 13, Fedora 14. And I think in slightly naughty F15 too.
Comment 1 Frantisek Hanzlik 2011-11-01 03:01:06 EDT
anaconda 16.22 still has this bug. Tested as:

- manually partitioned disks, (sda1=500MB/fd00 type, sda2=4GB/8200 type, sda3=sda4=32GB/fd00 type, sda5=300GB/fd00 type, sda6=600GB/fd00 type; sdb divided exactly just like sda.

- installed F14 i386: md0=raid1(sda1,sdb1) in /boot, md1=raid1(sda3,sdb3) in /,
md2=raid1(sda4,sdb4) in /mnt/os2, md3=raid1(sda5,sdb5) in /home, md4=raid1(sda6,sdb6) in /mnt/data.
Network installation, NFS sources, installation without problems.

- then F16 i386 installation, same as F14 with the exception of md1 mounted at /mnt/os1 and md2 mounted at root /, without formatting any partition.

1) Anaconda was not switching to X (black screen), but "xdriver=vesa nomodeset" did trick - this was not necessary with F14. First little oops

2)Anaconda for some reason was enforcing format / fs (as ext4, although in was already formatted as ext4. But I think it isn't big problem).
In ithis point, when clicking "Next" button, anaconda again stop with:
"You have not created a bootloader stage1 target device"

As possibility install to existing partitions is quite important to me, i hope F17 (or other distros) will have not this inconceivable bugs.
Comment 2 David Lehman 2011-11-01 09:58:40 EDT
A BIOS Boot partition of size 1MB is required to boot from GPT-labeled disks on BIOS hardware in Fedora 16. If your disk is full you could resize one of your existing partitions to make room for the new partition.

Also, anaconda does require that you reformat the root filesystem during installation to ensure that it is newly created.
Comment 3 Frantisek Hanzlik 2011-11-01 15:33:32 EDT
Hello David, can You please slightly explain this, or give some explanation links? I think in F15- Grub1 stage1 was installed in DOS MBR (GPT with protective DOS MBR) and stage 1.5 could be without problem installed next to primary GPT header in sectors 36-2047, as gdisk (maybe other partitioning tools too) create first partition with start sector 2048. Thus extra 1MB partition isn't necessary.
It is some Grub2 requirement? Or is this 1MB partition required, because this  up to 2047 sector reservation is non-standard and thus not guaranted? Which type should this 1 MB partition be? F16 installation guide (by that time draft) not mention nohing about this requirement.
Comment 4 Fedora End Of Life 2013-01-16 05:10:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 03:34:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.